Validate extended bank card withdrawal
POST/api/withdrawal/validation/bank-card-extended
Validates withdrawal to an external bank card with extended receiver information without creating a transaction.
Request
- application/json
- Body
- Example
Bodyrequired
Extended bank card withdrawal validation payload.
Src Wallet Id.
W000000000001Amount.
Possible values: >= 0
10.25Action.
Possible values: [GIVE, GET]
GIVENote.
Possible values: <= 255 characters
Sandbox transfer noteSrc Currency.
Possible values: [USD, EUR, GBP, RUB, UAH, KZT, BRL, TRY, AZN, ARS, AUD, BDT, CAD, CLP, COP, DOP, EGP, HKD, INR, IDR, JPY, MYR, MXN, MAD, NPR, NZD, PKR, PEN, PHP, SGD, ZAR, KRW, LKR, THB, AED, VND, CNY, CNH, BTC, BNB, BNB_BEP20, BNB_BEP2, BNB_ERC20, BCH, DAI, DOGE, DOGE_DOGENT, DOGE_BEP2, DOGE_BEP20, ETH, LTC, USDP, XRP, SHIB, SHIB_BEP20, SHIB_ERC20, USDT, USDT_BEP20, USDT_ERC20, USDT_TRC20, USDT_SOL, USDT_AVAXC, USDT_POL, USDT_OP, USDT_ARB, TRX, TUSD, USDC, USDC_ERC20, USDC_BEP20, USDC_BEP2, ZEC, BUSD, BUSD_BEP20, BUSD_ERC20, BUSD_TRC20, TON, SOL, ADA, AVAX, DOT, LINK, NEAR, POL, DASH, USDT_TON, USDC_ARB, USDC_OP, USDC_POL, USDC_AVAXC, USDC_SOL]
USDDest Currency.
Possible values: [USD, EUR, GBP, RUB, UAH, KZT, BRL, TRY, AZN, ARS, AUD, BDT, CAD, CLP, COP, DOP, EGP, HKD, INR, IDR, JPY, MYR, MXN, MAD, NPR, NZD, PKR, PEN, PHP, SGD, ZAR, KRW, LKR, THB, AED, VND, CNY, CNH, BTC, BNB, BNB_BEP20, BNB_BEP2, BNB_ERC20, BCH, DAI, DOGE, DOGE_DOGENT, DOGE_BEP2, DOGE_BEP20, ETH, LTC, USDP, XRP, SHIB, SHIB_BEP20, SHIB_ERC20, USDT, USDT_BEP20, USDT_ERC20, USDT_TRC20, USDT_SOL, USDT_AVAXC, USDT_POL, USDT_OP, USDT_ARB, TRX, TUSD, USDC, USDC_ERC20, USDC_BEP20, USDC_BEP2, ZEC, BUSD, BUSD_BEP20, BUSD_ERC20, BUSD_TRC20, TON, SOL, ADA, AVAX, DOT, LINK, NEAR, POL, DASH, USDT_TON, USDC_ARB, USDC_OP, USDC_POL, USDC_AVAXC, USDC_SOL]
USDCard Number.
411111******1111receiverInfo object
Merchant Receiver Info schema.
First Name.
Possible values: <= 30 characters
LeoLast Name.
Possible values: <= 30 characters
PeoDate Of Birth.
30/01/1991Company Name.
Possible values: >= 3 characters and <= 100 characters
PotterCompany{
"srcWalletId": "W000000000001",
"amount": 10.25,
"action": "GIVE",
"note": "Sandbox transfer note",
"srcCurrency": "USD",
"destCurrency": "USD",
"cardNumber": "411111******1111",
"receiverInfo": {
"status": "success"
}
}
Responses
- 200
- 400
- 401
- 404
- 500
OK
Bad request. The request is malformed or contains invalid parameters.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
disabledError category.
FORMShort unique error identifier for support and logs.
errTest1234Human-readable error description.
REQUESTED OPERATION IS DISABLED FOR THE MERCHANT APIRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "disabled",
"errorType": "FORM",
"errorId": "errTest1234",
"errorDescription": "REQUESTED OPERATION IS DISABLED FOR THE MERCHANT API",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Unauthorized. Merchant authentication headers are missing or invalid.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
userDoesNotExistExceptionError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
NOT FOUND API WITH ACCOUNT_EMAIL: [email protected]Request field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "userDoesNotExistException",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Not found. The requested resource does not exist.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
resourceNotFoundError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
Resource not foundRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "resourceNotFound",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorDescription": "Resource not found",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Internal server error. Unexpected error please contact support
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
internalServerErrorError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
Internal server errorRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "internalServerError",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorDescription": "Internal server error",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}